{ ... }:
{
  imports = [
    ./hardware-configuration.nix
    ./disko.nix

    ../../modules/common
    ../../modules/nixos
    ../../modules/home-manager
    ../../modules/sops
    ../../modules/stylix
  ];

  desktop = {
    enable = true;
    dev.enable = true;
    laser.enable = true;
    windowManager = "niri-session";
    wm.niri.enable = true;
    fuzzel.enable = true;
    hyprlock.enable = true;
    hyprpaper.enable = true;
    hypridle.enable = true;
    mako.enable = true;
    waybar.enable = true;
    wlogout.enable = true;
    utils.enable = true;
  };

  common.syncthing = {
    enable = true;
    devices = {
      Anton = { id = "SIMFE5V-UHVQLHM-3ES7TAM-XIGP6TL-WCC37VY-B5ET6LJ-LPC2QIL-MYG4OQR"; };
    };
  };

  services.auto-epp.enable = true;
  services.fwupd.enable = true;
  hardware.bluetooth.enable = true;
  services.hardware.bolt.enable = true;

}
