{ ... }:
{
  imports = [
    ./hardware-configuration.nix
    ./disko.nix

    ../../modules/common
    ../../modules/nixos
    ../../modules/home-manager
    ../../modules/sops
    ../../modules/stylix

  ];

  desktop = {
    enable = true;
    dev.enable = true;
    emulation.enable = true;
    hyprlock.enable = false;
    hypridle.enable = false;
    hyprpaper.enable = false;
    wm.plasma6.enable = true;
    windowManager = "startplasma-wayland";

    hyprland = {
      hardware.Puenktchen.enable = true;
    };
  };

  common = {

    builder.enable = true;

    syncthing = {
      enable = true;
      devices = {
        Anton = { id = "SIMFE5V-UHVQLHM-3ES7TAM-XIGP6TL-WCC37VY-B5ET6LJ-LPC2QIL-MYG4OQR"; };
      };
    };
  };

}
